Bug 90700 - Deleting content at the top of prettypatch emails destroys HTML formatting
Summary: Deleting content at the top of prettypatch emails destroys HTML formatting
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Website (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alice Cheng
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2012-07-06 13:06 PDT by Alice Cheng
Modified: 2012-07-11 09:56 PDT (History)
4 users (show)

See Also:


Attachments
patch (2.33 KB, patch)
2012-07-06 13:07 PDT, Alice Cheng
no flags Details | Formatted Diff | Diff
patch (2.42 KB, patch)
2012-07-06 13:13 PDT, Alice Cheng
no flags Details | Formatted Diff | Diff
patch (2.42 KB, patch)
2012-07-09 17:20 PDT, Alice Cheng
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alice Cheng 2012-07-06 13:06:04 PDT
When replying to a prettypatch email, deleting any text in a <pre></pre> block at the beginning causes the HTML formatting of the patch below to be destroyed.

 STEPS TO REPRODUCE
1. Open attached pretty patch email
2. Hit "Reply" button.
3. Highlight <pre></pre> text (as seen in the attached movie) so that the last blank line above the patch content is included.
4. Hit Delete key to delete it.

 RESULTS
The formatting of prettypatch contents is lost.
Comment 1 Alice Cheng 2012-07-06 13:06:24 PDT
<rdar://problem/7488232>
Comment 2 Alice Cheng 2012-07-06 13:07:55 PDT
Created attachment 151113 [details]
patch

A patch that fix pretty patch for now.
Will be working on an API that moves all style elements from body to head.
Comment 3 WebKit Review Bot 2012-07-06 13:10:26 PDT
Attachment 151113 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Websites/bugs.webkit.org/ChangeLog', u'Web..." exit_code: 1
Websites/bugs.webkit.org/ChangeLog:1:  ChangeLog entry has no bug number  [changelog/bugnumber] [5]
Total errors found: 1 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Alice Cheng 2012-07-06 13:13:07 PDT
Created attachment 151114 [details]
patch

A patch that fix pretty patch for now.
Will be working on an API that moves all style elements from body to head.

Added bug number in ChangeLog
Comment 5 David Kilzer (:ddkilzer) 2012-07-06 21:19:17 PDT
Comment on attachment 151114 [details]
patch

r=me
Comment 6 Alice Cheng 2012-07-09 17:20:21 PDT
Created attachment 151364 [details]
patch

submit for commit queue
Comment 7 WebKit Review Bot 2012-07-10 09:11:34 PDT
Comment on attachment 151114 [details]
patch

Rejecting attachment 151114 [details] from commit-queue.

alice_cheng@apple.com does not have committer permissions according to http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/committers.py.

- If you do not have committer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have committer rights please correct the error in Tools/Scripts/webkitpy/common/config/committers.py by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your committer rights.
Comment 8 WebKit Review Bot 2012-07-11 09:56:33 PDT
Comment on attachment 151114 [details]
patch

Clearing flags on attachment: 151114

Committed r122338: <http://trac.webkit.org/changeset/122338>
Comment 9 WebKit Review Bot 2012-07-11 09:56:38 PDT
All reviewed patches have been landed.  Closing bug.